package dao

import "time"

type PingLog struct {
	Id        int       `json:"id" gorm:"primary_key" description:"自增主键"`
	Maxdelay  string    `json:"maxdelay" gorm:"maxdelay" description:"最大延迟"`
	Mindelay  string    `json:"mindelay" gorm:"mindelay" description:"最小延迟"`
	Avgdelay  string    `json:"avgdelay" gorm:"avgdelay" description:"平均延迟"`
	Losspk    string    `json:"losspk" gorm:"losspk" description:"丢包率"`
	UpdatedAt time.Time `json:"update_at" gorm:"column:update_at" description:"更新时间"`
	CreatedAt time.Time `json:"create_at" gorm:"column:create_at" description:"创建时间"`
}

func (t *PingLog) TableName() string {
	return "pinglog"
}
