package main

import (
	"github.com/gin-gonic/gin"
	"net/http"
	"node_monitor/api"
	"node_monitor/controllers"
	"node_monitor/g"
	"runtime"
)

func HandleIndex(ctx *gin.Context) {

	ctx.HTML(http.StatusOK, "index.html", gin.H{
		"title": "Main website",
	})
}
func main() {
	runtime.GOMAXPROCS(runtime.NumCPU())

	g.InitDB()

	//g.AddNode(&g.Node{
	//	Host:    "kdvkr-02.xyz",
	//	Port:    22,
	//	Url:     "www.baidu.com",
	//	Logtime: time.Now().Format("2006-01-02 15:04:05"),
	//})

	//g.DeleteNode(&g.Node{
	//	Host:    "kdvkr-02.xyz",
	//	Port:    22,
	//	Url:     "www.baidu.com",
	//	Logtime: time.Now().Format("2006-01-02 15:04:05"),
	//})

	r := gin.Default()
	r.LoadHTMLGlob("html/*")
	r.Static("/assets", "./assets")

	router := r.Group("/")
	controllers.NodeRegister(router)
	v1 := r.Group("/v1")
	api.NodeRegister(v1)

	r.Run()
}
